#include <stdio.h>

int main() {
    int d = 5;
    int max = 150;
    int n = 0;
    do{ 
        printf("%d  %d\n",d,n);  
        n++;
        d -= n;
        d *= 2;
    }while(d <= max);
    return 0;
}
